const key = 'a30b66a26ea1890fd656cf11cb2647fb';

export function regeo(conf = {}) {
  const defCfg = {
    key,
    radius: 1000,
    extensions: 'base',
    batch: true,
    roadlevel: 0,
  };

  const options = { ...defCfg, ...conf };
  const queryStr = Object.keys(options)
    .map((k) => `${k}=${options[k]}`)
    .join('&');
  const url = `//restapi.amap.com/v3/geocode/regeo?${queryStr}`;

  return new Promise((resolve, reject) => {
    fetch(url)
      .then((res) => res.json())
      .then(resolve)
      .catch(reject);
  });
}
