import React from 'react';
import RadioGroup from '@/components/ScreenBox/Radio/RadioGroup';

export default (props) => {
  const list = [
    { id: '', name: '全部' },
    { id: 'shensong', name: '深松' },
    { id: 'feifang', name: '飞防' },
  ];

  const [value, setValue] = React.useState('');

  const onChange = (val) => {
    setValue(val);
    props.onChange(val);
  };

  return <RadioGroup value={value} list={list} onChange={onChange} />;
};
